Bug 147420 - PATCH: Support for httpd v2.1 / APR v1.1
PATCH: Support for httpd v2.1 / APR v1.1
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-07 17:32 EST by Graham Leggett
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-08 03:23:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to detect APR v1 as well as APR v0 (1.37 KB, patch)
2005-02-07 17:37 EST, Graham Leggett
no flags Details | Diff

  None (edit)
Description Graham Leggett 2005-02-07 17:32:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20050130 Fedora/1.7.5-3

Description of problem:
The attached patch allows PHP to be built against APR v1.1 or httpd
v2.1/v2.2.


Version-Release number of selected component (if applicable):
php-4.3.2

How reproducible:
Always

Steps to Reproduce:
xxx

Additional info:
Comment 1 Graham Leggett 2005-02-07 17:37:02 EST
Created attachment 110759 [details]
Patch to detect APR v1 as well as APR v0
Comment 2 Joe Orton 2005-02-08 03:23:12 EST
Thanks for the report.  APR 1.1 is not supported in RHEL3; rebuilding
the PHP source RPM against APR 1.1 is not supported either.
Comment 3 Graham Leggett 2005-02-08 03:44:03 EST
APR v1.1 is ASF supported (as in "I make sure it works") on RHEL3, as
does httpd v2.1.

PHP is a big showstopper - wasted a good 5 hours last night making PHP
v5.0.3 work. Getting it to behave properly with APR v1.1 and httpd
v2.1 will ease the transition from httpd v2.0 to v2.1 on existing well
deployed platforms on RHEL3.
Comment 4 Joe Orton 2005-02-08 04:31:06 EST
Yes, but it's not supported by Red Hat.  The point is that patching
the RHEL3 source RPMs just so that they can be rebuilt against the
latest versions of random components would be a maintenance nightmare.
Comment 5 Graham Leggett 2005-02-08 05:29:06 EST
The trouble is this moves the maintenance nightmare to the user. This
is the driving force behind incorporating RPM spec files into ASF
projects - so that people can run the latest code if that is what
their requirements dictate. From a user perspective I am happy to
manually support certain key packages on a system myself, leaving
support for the rest of the packages up to Redhat Network.

In this case APR v1.1 installed into RHEL3 from ASF RPM without any
problems, as did httpd. It was only when we got to PHP that the
problems started in earnest. As PHP is a potential showstopper for
deployment of httpd v2.1 (and v2.2), my next mission will be to
somehow include spec files into the PHP project.

Note You need to log in before you can comment on or make changes to this bug.